//---------------------------------------------------------------------------
#ifndef lebcb_1aH
#define lebcb_1aH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include "LEDlp32.hpp"
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
class TLEditForm : public TForm
{
__published:	// IDE-managed Components
	TPanel *ButtonPanel;
	TSpeedButton *NewBtn;
	TSpeedButton *OpenBtn;
	TSpeedButton *SaveBtn;
	TSpeedButton *SaveAsBtn;
	TSpeedButton *ReloadBtn;
	TSpeedButton *UndoBtn;
	TSpeedButton *RedoBtn;
	TSpeedButton *CutBtn;
	TSpeedButton *CopyBtn;
	TSpeedButton *PasteBtn;
	TSpeedButton *FindBtn;
	TSpeedButton *ReplaceBtn;
	TSpeedButton *GotoBtn;
	TSpeedButton *ForeColorBtn;
	TSpeedButton *BackColorBtn;
	TSpeedButton *SelForeColorBtn;
	TSpeedButton *SelBackColorSel;
	TSpeedButton *SetBookmarkBtn;
	TSpeedButton *FindBookmarkBtn;
	TSpeedButton *AboutBtn;
	TPanel *StatusPanel;
	TPanel *LineCountStatus;
	TLabel *TotalLineCount;
	TPanel *LineStatus;
	TLabel *LineNumber;
	TPanel *ColStatus;
	TLabel *ColNumber;
	TPanel *StatusLine;
	TLEdit *LEdit1;
	TPopupMenu *PopupMenu1;
	TMenuItem *UndoPopupItem;
	TMenuItem *RedoPopupItem;
	TMenuItem *PopupLine1;
	TMenuItem *CutPopupItem;
	TMenuItem *CopyPopupItem;
	TMenuItem *PastePopupItem;
	TMenuItem *DeletePopupItem;
	TMenuItem *SelectAllPopupItem;
	TMenuItem *PopupLine2;
	TMenuItem *ClearPopupItem;
	TMenuItem *ClearAllPopupItem;
	TMenuItem *PopupLine3;
	TMenuItem *FindPopupItem;
	TMenuItem *ReplacePopupItem;
	TMainMenu *MainMenu;
	TMenuItem *FileMenuItem;
	TMenuItem *NewMenuItem;
	TMenuItem *OpenMenuItem;
	TMenuItem *SaveMenuItem;
	TMenuItem *SaveAsMenuItem;
	TMenuItem *ReloadFileMenuItem;
	TMenuItem *N1;
	TMenuItem *PrinterSetupMenuItem;
	TMenuItem *PrintMenuItem;
	TMenuItem *N2;
	TMenuItem *ExitMenuItem;
	TMenuItem *EditMenuItem;
	TMenuItem *UndoMenuItem;
	TMenuItem *RedoMenuItem;
	TMenuItem *ClearUndoMenuItem;
	TMenuItem *Line2;
	TMenuItem *CutMenuItem;
	TMenuItem *CopyMenuItem;
	TMenuItem *PasteMenuItem;
	TMenuItem *DeleteMenuItem;
	TMenuItem *SelectAllMenuItem;
	TMenuItem *Line3;
	TMenuItem *ClearMenuItem;
	TMenuItem *ClearAllMenuItem;
	TMenuItem *Line4;
	TMenuItem *FindMenuItem;
	TMenuItem *FindNextMenuItem;
	TMenuItem *FindBraceMenuItem;
	TMenuItem *ReplaceMenuItem;
	TMenuItem *Line45;
	TMenuItem *GotoLineMenuItem;
	TMenuItem *OptionsMenuItem;
	TMenuItem *ForeColorMenuItem;
	TMenuItem *BackgroundColor1;
	TMenuItem *SelectForeColorMenuItem;
	TMenuItem *SelectBackColorMenuItem;
	TMenuItem *N3;
	TMenuItem *HeaderFooter1;
	TMenuItem *Line5;
	TMenuItem *FontMenuItem;
	TMenuItem *ReadOnlyMenuItem;
	TMenuItem *CaretWidthMenuItem;
	TMenuItem *InsertModeMenuItem;
	TMenuItem *N4;
	TMenuItem *WordWrapMenuItem;
	TMenuItem *SetWordWrapMenuItem;
	TMenuItem *WWWidthMenuItem;
	TMenuItem *WWRMarginMenuItem;
	TMenuItem *Line6;
	TMenuItem *UnixStyleSaveMenuItem;
	TMenuItem *MacStyleSaveMenuItem;
	TMenuItem *BookmarksMenuItem;
	TMenuItem *SetBookmarkMenuItem;
	TMenuItem *SetBookmarkNumberMenuItem;
	TMenuItem *FindBookmarkMenuItem;
	TMenuItem *HelpMenuItem;
	TMenuItem *AboutMenuItem;
	TColorDialog *ColorDialog;
	TOpenDialog *OpenDialog1;
	TSaveDialog *SaveDialog1;
	void __fastcall LEdit1Change(TObject *Sender);
	void __fastcall ExitMenuItemClick(TObject *Sender);
	void __fastcall NewMenuItemClick(TObject *Sender);
	void __fastcall OpenMenuItemClick(TObject *Sender);
	void __fastcall SaveMenuItemClick(TObject *Sender);
	void __fastcall SaveAsMenuItemClick(TObject *Sender);
	void __fastcall ReloadFileMenuItemClick(TObject *Sender);
	void __fastcall PrinterSetupMenuItemClick(TObject *Sender);
	void __fastcall PrintMenuItemClick(TObject *Sender);
	void __fastcall UndoMenuItemClick(TObject *Sender);
	void __fastcall RedoMenuItemClick(TObject *Sender);
	void __fastcall ClearUndoMenuItemClick(TObject *Sender);
	void __fastcall CutMenuItemClick(TObject *Sender);
	void __fastcall CopyMenuItemClick(TObject *Sender);
	void __fastcall PasteMenuItemClick(TObject *Sender);
	void __fastcall DeleteMenuItemClick(TObject *Sender);
	void __fastcall SelectAllMenuItemClick(TObject *Sender);
	void __fastcall ClearMenuItemClick(TObject *Sender);
	void __fastcall ClearAllMenuItemClick(TObject *Sender);
	void __fastcall FindMenuItemClick(TObject *Sender);
	void __fastcall FindNextMenuItemClick(TObject *Sender);
	void __fastcall FindBraceMenuItemClick(TObject *Sender);
	void __fastcall ReplaceMenuItemClick(TObject *Sender);
	void __fastcall GotoLineMenuItemClick(TObject *Sender);
	void __fastcall ForeColorMenuItemClick(TObject *Sender);
	void __fastcall BackgroundColor1Click(TObject *Sender);
	void __fastcall SelectForeColorMenuItemClick(TObject *Sender);
	void __fastcall SelectBackColorMenuItemClick(TObject *Sender);
	void __fastcall HeaderFooter1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FontMenuItemClick(TObject *Sender);
	void __fastcall ReadOnlyMenuItemClick(TObject *Sender);
	void __fastcall CaretWidthMenuItemClick(TObject *Sender);
	void __fastcall InsertModeMenuItemClick(TObject *Sender);
	void __fastcall WordWrapMenuItemClick(TObject *Sender);
	void __fastcall UnixStyleSaveMenuItemClick(TObject *Sender);
	void __fastcall MacStyleSaveMenuItemClick(TObject *Sender);
	void __fastcall WWWidthMenuItemClick(TObject *Sender);
	void __fastcall WWRMarginMenuItemClick(TObject *Sender);
	void __fastcall SetBookmarkMenuItemClick(TObject *Sender);
	void __fastcall SetBookmarkNumberMenuItemClick(TObject *Sender);
	void __fastcall FindBookmarkMenuItemClick(TObject *Sender);
	void __fastcall AboutMenuItemClick(TObject *Sender);
	void __fastcall LEdit1PrintPage(TObject *Sender, TCanvas *PrintDC,
	WORD VerticalSize, WORD HorizontalSize, WORD &HeaderSize, WORD &FooterSize);
private:	// User declarations
public:		// User declarations
    unsigned short FBmNum;
    AnsiString FHeader;
    AnsiString FFooter;
    unsigned short WWWidth;
    unsigned short WWRMargin;
    unsigned short FCaretWidth;
	__fastcall TLEditForm(TComponent* Owner);
    void __fastcall UpdateMenuItems(bool Value);
	void __fastcall DisplayHint(TObject* Sender);
};
//---------------------------------------------------------------------------
extern TLEditForm *LEditForm;
//---------------------------------------------------------------------------
#endif
